import java.sql.*;
public class Inimloetelu2{
  public static void main(String[] argumendid) throws Exception{
    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
    Connection cn=DriverManager.getConnection("jdbc:odbc:poebaas");
    Statement st=cn.createStatement();
    ResultSet rs=st.executeQuery("select * from inimesed");
    ResultSetMetaData rmd=rs.getMetaData();
    int veergudearv=rmd.getColumnCount();
    System.out.println("Tabelis on "+veergudearv+" veergu:");
    for(int i=1; i<=veergudearv; i++){
      System.out.println("Nimi:         "+rmd.getColumnName(i));
      System.out.println("Kirjeldus:    "+rmd.getColumnLabel(i));
      System.out.println("Tyyp:         "+rmd.getColumnTypeName(i));
      System.out.println("Java klass:   "+rmd.getColumnClassName(i));
      System.out.println("Isesuurenev:  "+rmd.isAutoIncrement(i));
      System.out.println("Suurim laius: "+rmd.getColumnDisplaySize(i));
      System.out.println();
    }
    
    while(rs.next()){
       System.out.print(rs.getRow()+". ");
       for(int i=1; i<=veergudearv; i++){
         System.out.print(rs.getObject(i)+"    ");
       }
       System.out.println();
    }
    cn.close();
  }
}

/*
Tabelis on 3 veergu:
Nimi:         id
Kirjeldus:    id
Tyyp:         COUNTER
Java klass:   java.lang.Integer
Isesuurenev:  true
Suurim laius: 11

Nimi:         eesnimi
Kirjeldus:    eesnimi
Tyyp:         VARCHAR
Java klass:   java.lang.String
Isesuurenev:  false
Suurim laius: 50

Nimi:         synniaasta
Kirjeldus:    synniaasta
Tyyp:         INTEGER
Java klass:   java.lang.Integer
Isesuurenev:  false
Suurim laius: 11

1. 1    Juku    1989    
2. 2    Kati    1987    
3. 3    Mati    1983    

*/