import java.applet.Applet;
import java.awt.*;
import java.util.Vector;

public class Pildike2 extends Applet implements Runnable{
  Image taust;
  Image pilt;
  Graphics piltg;
  Image lill;
  int lillekorgus=100;
  int mustripikkus=160;
  int samm=3;
  int paus=50;
  int nihe=0; 
  int aeg=0;
  int laius=300, korgus=300;
  Vector lillekesed=new Vector();
  double lillelisamistoenaosus=0.03*samm;
  boolean veel=false;
  
  public void paint(Graphics g){
    koostaPilt();
    g.drawImage(pilt, 0, 0, this);
  }
  public void update(Graphics g){
    paint(g);
  }

  void koostaPilt(){
    if(taust==null)taust=laePilt("rohetaust320x480.gif");
    if(lill==null)lill=laePilt("lill1.gif");
    if(pilt==null){
      pilt=createImage(laius, korgus);    
      piltg=pilt.getGraphics();
    }
    nihe=nihe+samm;
    aeg=aeg+samm;
    if(nihe>mustripikkus)nihe=nihe-mustripikkus;
    eemaldaVanadLilled();
    lisaUusiLilli();
    piltg.drawImage(taust, 0, nihe-mustripikkus, this);
    joonistaLilled();
  }
  
  
  void lisaUusiLilli(){
   for(double lt=lillelisamistoenaosus; lt>0; lt=lt-1){
    if(Math.random()<lt){
      lillekesed.addElement(new Lilleke2((int)((laius-10)*Math.random()), aeg));
    }
   }
  }
  
  void eemaldaVanadLilled(){
    for(int i=0; i<lillekesed.size(); i++){
      Lilleke2 l=(Lilleke2)lillekesed.elementAt(i); 
      if(aeg-l.algaeg>korgus+lillekorgus){
        lillekesed.removeElementAt(i);
        i--;
      }    
    }
  }
  
  void joonistaLilled(){
    for(int i=0; i<lillekesed.size(); i++){
      Lilleke2 l=(Lilleke2)lillekesed.elementAt(i); 
      piltg.drawImage(lill, l.x, aeg-l.algaeg-lillekorgus, this);
    }
  }

  public void start(){
    veel=true;
    new Thread(this).start();
  }

  public void run(){
    while(veel){
        repaint();
      try{Thread.sleep(paus); }catch(Exception e){}
    }
  }
  public void stop(){
    veel=false;
  }

  Image laePilt(String failinimi){
     try{
      return getImage(getCodeBase(), failinimi);
     }catch(Exception e){}
      return Toolkit.getDefaultToolkit().getImage(failinimi);
  }

  public static void main(String argumendid[]){
    Frame f=new Frame("Pildiraam");
    Pildike2 ap=new Pildike2();
    f.add(ap);
    f.setSize(300, 300);
    f.setVisible(true);
    ap.start();
  }
}

class Lilleke2{
  int x, algaeg;
  public Lilleke2(int x1, int algaeg1){
    x=x1; algaeg=algaeg1;
  }
}