import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import java.io.*;

/**
* Trkitakse vlja vaid pealkirjad.
*/
public class RiiuliLappaja3 extends DefaultHandler{
  boolean kasPealkiri=false;
  public void startElement(String nimeruum, String kohalik, 
            String yhendus, Attributes at){
     if(yhendus.equals("PEALKIRI"))kasPealkiri=true;
  }

  public void endElement(String nimeruum, String kohalik, 
            String yhendus){
     if(yhendus.equals("PEALKIRI"))kasPealkiri=false;
  }

  public void characters(char[] tahed, int algus, int pikkus){
   if(kasPealkiri){
    System.out.println("Pealkiri: '" + 
       new String(tahed, algus, pikkus) + "'");
   }
  }

  public static void main(String argumendid[]) throws Exception{
    XMLReader lappaja=  SAXParserFactory.newInstance().newSAXParser().getXMLReader();
    lappaja.setContentHandler(new RiiuliLappaja3());
    lappaja.parse("raamatud1.xml");
  }
}