import java.awt.*;
import java.awt.dnd.*;
import java.awt.datatransfer.*;

public class Allikas extends Label {
  private DragSource dragSource; 
  public Allikas(String s) {    
    setText(s);
    dragSource = DragSource.getDefaultDragSource();    
    dragSource.createDefaultDragGestureRecognizer(
      this, DnDConstants.ACTION_COPY,  new AndmeveoAlguseKuular()); 
    } 

  class AndmeveoAlguseKuular implements DragGestureListener {  
    public void dragGestureRecognized(DragGestureEvent e) {
      Transferable andmed = new StringSelection( getText() );
        e.startDrag(DragSource.DefaultCopyDrop,
          andmed, new AndmeveoKuular());
    }
  }
  
  class AndmeveoKuular implements DragSourceListener {     
    public void dragDropEnd(DragSourceDropEvent e) { }
    public void dragEnter(DragSourceDragEvent e) {  }
    public void dragOver(DragSourceDragEvent e) {  }
    public void dragExit(DragSourceEvent e) { }
    public void dropActionChanged (DragSourceDragEvent e) { }
  }
}
